/* file: custom_bars.c		G. Moody	1 November 1999

Change the values in this file and recompile 'stevents' to customize the
appearance of the marker bars printed by 'makeplots'.

This file is included in stevents.c if the symbol CUSTOM_BARS is defined.
To recompile stevents, just type 'make' in this directory.  Experiment with
the various constants in this file until you get the desired appearance.
When you are satisfied with the appearance of the marker bars, mail this
file back to me (george@mit.edu).

I will add the necessary hooks for three-channel output once we are all
satisfied with the two-channel output.

There is a line across the page at y = 0.  As delivered, markers for
signal 0 appear above this line, and markers for signal 1 appear below
this line and inverted.  ybase[0] is the y-coordinate of the beginning
of each vertical event marker for signal 0;  ybase[1] is the same, for
signal 1. */

    int ybase[] = { 10, -10 };	/* y-coords of beginning of bars for each
				   signal */

/* ysc[0] is a scale factor for signal 0 markers, ysc[1] for signal 1 markers.
   Change -1 to 1 if you don't want signal 1 markers inverted (but then also
   change ybase[1] above) to make room for the non-inverted markers). */
    int ysc[ ] = { 1, -1 };	/* y-coord multiplier for each signal (-1
				   means invert bars) */

/* Default bar lengths for each type of event (<0 means extend towards y=0 from
   ybase).  Adjust these to your taste.  Note: stplot will suppress any bar
   that goes outside of its clipping area (-50 <= y <= 50). */
    int dy[] = { 0,	/* invalid */
		 -8,	/* global reference */
		 -5,	/* local reference */
		 30,	/* start of ischemic ST episode */
		 32,	/* extremum of ischemic ST episode */
		 30,	/* end of ischemic ST episode */
		 20,	/* start of rate-related ST episode */
		 22,	/* extremum of rate-related ST episode */
		 20,	/* end of rate-related ST episode */
		 15	/* axis shift */
    };

/* This program can produce solid rectangles that cover the interval from
   the beginning to the end of each ischemic and rate-related ST episode.
   dyir[0] and dyir[1] are the increments from ybase for the bottom and top
   of ischemic ST episode rectangles. */
    int dyir[2] = {0, 10}; /* bottom and top (relative to ybase) of filled-in
			      rectangle for ischemic ST episodes */

/* dyrr[0] and dyrr[1] are the increments from ybase for the bottom and top
   of rate-related ST episode rectangles. */
    int dyrr[2] = {0, 5}; /* bottom and top (relative to ybase) of filled-in
			      rectangle for rate-related ST episodes */
